/* $Id: HTMLFileFilter.java 148 2011-05-01 13:25:14Z shayashi $ */
package smart_gs.swingui.toolbar.action;

import java.io.File;

import javax.swing.filechooser.FileFilter;

import smart_gs.util.CanonicalPathString;

public class HTMLFileFilter extends FileFilter{


	public boolean accept(File pathname) {
		if(CanonicalPathString.get(pathname).endsWith(".html")){
			return true;
			
		}else if(pathname.isDirectory()){
			return true;
		}
		return false;
	}

	@Override
	public String getDescription() {
		return "html";
	}
}
